import { get } from 'lodash'

export const isHEToManuscript = (state, collectionId) => {
  const currentUserId = get(state, 'currentUser.user.id')
  const collections = get(state, 'collections') || []
  const collection = collections.find(c => c.id === collectionId) || {}
  const collectionInvitations = get(collection, 'invitations') || []
  const userInvitation = collectionInvitations.find(
    i => i.role === 'handlingEditor' && i.userId === currentUserId,
  )

  return userInvitation ? userInvitation.isAccepted : false
}

export const canMakeRecommendation = (state, project) => {
  const isHE = isHEToManuscript(state, project.id)
  return isHE && get(project, 'status') === 'reviewCompleted'
}
