const { reviewer, author, recReviewer, handlingEditor } = require('./userData')
const { revTeamID, heTeamID } = require('./teamIDs')

const Chance = require('chance')

const chance = new Chance()
const users = {
  reviewer: {
    type: 'user',
    username: chance.word(),
    email: reviewer.email,
    password: 'password',
    admin: false,
    id: reviewer.id,
    firstName: reviewer.firstName,
    lastName: reviewer.lastName,
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.reviewer),
    isConfirmed: true,
    teams: [revTeamID],
  },
  author: {
    type: 'user',
    username: chance.word(),
    email: author.email,
    password: 'password',
    admin: false,
    id: author.id,
    firstName: author.firstName,
    lastName: author.lastName,
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.author),
    isConfirmed: true,
  },
  recReviewer: {
    type: 'user',
    username: chance.word(),
    email: recReviewer.email,
    password: 'password',
    admin: false,
    id: recReviewer.id,
    firstName: recReviewer.firstName,
    lastName: recReviewer.lastName,
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.recReviewer),
    isConfirmed: true,
    teams: [revTeamID],
  },
  handlingEditor: {
    type: 'user',
    username: chance.word(),
    email: handlingEditor.email,
    password: 'password',
    admin: false,
    id: handlingEditor.id,
    firstName: handlingEditor.firstName,
    lastName: handlingEditor.lastName,
    teams: [heTeamID],
    save: jest.fn(() => users.handlingEditor),
    editorInChief: false,
    handlingEditor: true,
    title: 'Mr',
  },
  editorInChief: {
    type: 'user',
    username: chance.word(),
    email: chance.email(),
    password: 'password',
    admin: false,
    id: chance.guid(),
    firstName: chance.first(),
    lastName: chance.last(),
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.editorInChief),
    isConfirmed: false,
    editorInChief: true,
  },
}

module.exports = users
